% --- Source file: getSummary.Rd ---
\name{getSummary}
\alias{getSummary}
\title{getSummary}
\description{
  Returns summary information.
}
\usage{
getSummary(fit)
}
\arguments{
  \item{fit}{The return object from GOFR.}
}
\value{
  A list with objects \code{summary_of_fit} and \code{summary_of_test}, where
  \code{summary_of_fit} is a matrix with column names "Estimate", "Std. Error", "z value", and "Pr(>|z|)". 
The rownames of the returned matrix will be the names of parameters.
The object \code{summary_of_test} is a matrix with column names "Test Statistic" and "P-value". 
The rownames of this matrix will be "Tail-Based Max Test", "Hosmer and Lemeshow Test", and "Windmeijer Test".
 }

\details{  
This function returns estimated parameters, standard errors, z values and p-values. 
It also returns goodness-of-fit test statistics and the corresponding p-values. 
In addition to that, it returns the goodness-of-fit test statistics and p-values from the Tail-Based Max test, 
Hosmer-Lemeshow test, and Windmeijer test.
When Hosmer-Lemeshow test is performed, the grouping method is based on 10 percent quantiles of the 
fitted probabilities.  
} % END: details

\references{ 
Song M, Kraft P, Joshi A D, Barrdahl M, and Chatterjee N (2014) Testing calibration of risk models at 
extremens of disease-risk. Biostatistics. \cr \cr
Hosmer D W and Lemeshow S (2000) Applied logistic regression. New York : John Wiley & Sons. \cr \cr
Windmeijer, F A G (1990) The asymptotic distribution of the sum of weighted squared residuals in binary choice models, 
Statistica Neerlandica 44(2), 69-78. 
}
%\author{Han Zhang and Kai Yu }
\seealso{ \code{\link{GOFR}} }
%\examples{}

\keyword{model} 

